Create accumulations in batch

Creates accumulation analyses in bulk.

This operation accepts an array of resources (portfolios or portfolio variations) and an array of accumulation analysis settings, which include a list of accumulation profiles. For each unique pairing of a resource and accumulation profile, the batch process creates an ACCUMULATION job that produces an accumulation analysis. The settings object specifies both a list of accumulation profiles and a set of accumulation job configurations that identify the events, the financial perspectives, and currency schemes used in the analysis.

An accumulation is a type of analysis that identifies areas of concentrated property or workers compensation exposure. Accumulations calculate the exposed limit, i.e. the maximum loss that can be incurred from a single deterministic event enabling you to assess worst-case scenarios.

The settings and resources parameters are specified in the body of the request.

{
  "settings": [
    {
      "currency": {
        "currency": "USD",
        "currencySchemeName": "RMS Default",
        "currencyVersion": "RL25"
      },
      "eventInfo": {
        "eventDate": 1771329226558,
        "eventDateBehavior": "ignore"
      },
      "financialPerspectives": ["GR", "GU"],
      "name": null,
      "notes": "",
      "profileIds": ["15", "52", "70", "178", "182", "189", "233"],
      "tagIds": [],
      "applyProfileTags": true
    }
  ],
  "resources": [
    {
      "resourceType": "portfolio",
      "resourceUri": "/platform/riskdata/v1/jobs/exposures/2721091/portfolios/20",
      "portfolioProperties": {
        // No currency object here <----------
        "variationName": "ABC Commercial_2026-02-23T16:41:38.362Z",
        "treatyIds": []
      }
    },
    {
      "resourceType": "portfolioVariation",
      "resourceUri": "/platform/riskdata/v1/exposureVariations/3716838"
    }
  ]
}

The settings and resources parameters are required in the request body.

Headers
uuid
required

ID of resource group. Operation is assigned to this resource group's quota. See Resource Groups

Body Params
settings
array of objects
required
length ≥ 1
settings*
currency
object
required

Currency scheme with the version of exchange rates used in the accumulation analysis

eventInfo
object
required
financialPerspectives
array of strings
required

List of financial perspectives. See Financial Perspectives.

financialPerspectives*
string | null

Name of accumulation results.

  • If defined, every analysis result uses this name specified regardless of the number of accumulation profiles specified in the request.
  • If undefined, each accumulation result is automatically named for the accumulation profile used in that analysis.
string
profileIds
array of strings
required

List of accumulation profiles.

Each accumulation profile specifies general analysis settings (peril, geocoding version, etc.), scope (regions, layers, or targets), damages (damage factors and filters), and optional workers compensation settings.

profileIds*
tagIds
array of int32s

List of tags to apply to this job. See Tags.

tagIds
boolean
Defaults to false
resources
array of objects
required
length ≥ 1
resources*
string
enum
required

Type of exposure resource of accumulation analysis. One of portfolio, portfolioVariation

Allowed:
uri
required

URI of exposure resource, e.g. /platform/riskdata/v1/exposures/123/{exposureType}/12. See Resource URIs

portfolioProperties
object
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json